Bug 75692 - Incorrect SCSI Driver loaded at Startup, Causing SCSI CDROM errors, CD Record Failure
Incorrect SCSI Driver loaded at Startup, Causing SCSI CDROM errors, CD Record...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-11 00:19 EDT by Gerald Cox
Modified: 2008-08-01 12:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gerald Cox 2002-10-11 00:19:12 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
When using the CD Creation utilities (CDRECORD, XCDROAST), the write will fail.
 Receive the following message:
cdrecord:  Input/output error.  send opc: scsi sendcmd:  no error
CDB:  54 01 00 00 00 00 00 00 00 00
status:  0x2 (CHECK CONDITION)
Sense Bytes:  70 00 02 00 00 00 00 0A 00 00 00 00 04 01 00 00 
Sense Key 0x2 Not Ready, Segment 0
Sense Code:  0x04 Qual 0x01 (logical unit is in process of becoming ready) Fru 0x0
Sense flags:  Blk 0 (not valid)
cmd finished after 13.684s timeout 60s
cdrecord:  Resource temporarily unavailable.  OPC failed

dmesg shows:
Attached scsi CD-ROM sr0 at scsi0, channel 0, id 2, lun 0
Attached scsi CD-ROM sr1 at scsi0, channel 0, id 4, lun 0
ncr53c895-0-<2,*>: FAST-20 SCSI 20.0 MB/s (50 ns, offset 16)
sr0: scsi3-mmc drive: 16x/40x cd/rw xa/form2 cdda tray
Uniform CD-ROM driver Revision: 3.12
ncr53c895-0-<4,*>: FAST-20 SCSI 20.0 MB/s (50 ns, offset 8)
sr1: scsi3-mmc drive: 32x/32x writer cd/rw xa/form2 cdda tray
cdrom: This disc doesn't have any tracks I recognize!
cdrom: This disc doesn't have any tracks I recognize!
scsi : aborting command due to timeout : pid 17698, scsi0, channel 0, id 4, lun
0 Test Unit Ready 00 00 00 00 00
ncr53c8xx_abort: pid=17698 serial_number=17699 serial_number_at_timeout=17699
ncr53c895-0: abort ccb=f7bfd800 (cancel)
SCSI host 0 abort (pid 17698) timed out - resetting
SCSI bus is being reset for host 0 channel 0.
ncr53c8xx_reset: pid=17698 reset_flags=2 serial_number=17699
serial_number_at_timeout=17699
ncr53c895-0-<4,*>: FAST-20 SCSI 20.0 MB/s (50 ns, offset 8)
ncr53c895-0-<2,*>: FAST-20 SCSI 20.0 MB/s (50 ns, offset 16)
cdrom: This disc doesn't have any tracks I recognize!
scsi : aborting command due to timeout : pid 57427, scsi0, channel 0, id 4, lun
0 Test Unit Ready 00 00 00 00 00
ncr53c8xx_abort: pid=57427 serial_number=57428 serial_number_at_timeout=57428
ncr53c895-0: abort ccb=f7bfd800 (cancel)
SCSI host 0 abort (pid 57427) timed out - resetting
SCSI bus is being reset for host 0 channel 0.
ncr53c8xx_reset: pid=57427 reset_flags=2 serial_number=57428
serial_number_at_timeout=57428
ncr53c895-0-<4,*>: FAST-20 SCSI 20.0 MB/s (50 ns, offset 8)
ncr53c895-0-<2,*>: FAST-20 SCSI 20.0 MB/s (50 ns, offset 16)
sr0: CDROM (ioctl) reports ILLEGAL REQUEST.
ISO 9660 Extensions: Microsoft Joliet Level 3
ISO 9660 Extensions: RRIP_1991A
sr0: CDROM (ioctl) reports ILLEGAL REQUEST.
ISO 9660 Extensions: Microsoft Joliet Level 3
ISO 9660 Extensions: RRIP_1991A
ISO 9660 Extensions: Microsoft Joliet Level 3
ISO 9660 Extensions: RRIP_1991A


cdrecord -scanbus shows:
cdrecord -scanbus
Cdrecord 1.10 (i686-pc-linux-gnu) Copyright (C) 1995-2001 Jvrg Schilling
Linux sg driver version: 3.1.24
Using libscg version 'schily-0.5'
scsibus0:
        0,0,0     0) *
        0,1,0     1) *
        0,2,0     2) 'PIONEER ' 'DVD-ROM DVD-305 ' '1.00' Removable CD-ROM
        0,3,0     3) *
        0,4,0     4) 'PLEXTOR ' 'CD-R   PX-W124TS' '1.07' Removable CD-ROM
        0,5,0     5) *
        0,6,0     6) *
        0,7,0     7) *

The scsi adapter is a Tekram DC-390U2W

The same problem occured under Redhat 7.3 but I waited until 8.0 to report.  The
CDROM records perfectly in a Windows environment.  



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Execute XCDROAST or CDRECORD (Manually) and attempt to burn a CD
2.
3.
	

Actual Results:  Record fails as specified in the summary above.

Expected Results:  Sucessful burn of CD.

Additional info:

Gigabyte 7VRXP Motherboard, Athlon 1900+ XP CPU
Comment 1 Gerald Cox 2002-10-18 23:58:09 EDT
TEKRAM controller requires driver sym53c8xx_2, when ncr53c8xx is removed and
replaced with sym53c8xx_2 CDROM READ/WRITE functions correctly.  The problem is
at system startup the incorrect driver is being loaded.  A subsequent change to
modules.conf:

#alias scsi_hostadapter ncr53c8xx
alias scsi_hostadapter sym53c8xx_2

does NOT work.  ncr53c8xx is still be loaded.  

dmesg indicates:
SCSI subsystem driver Revision: 1.00
kmod: failed to exec /sbin/modprobe -s -k scsi_hostadapter, errno = 2
ncr53c8xx: at PCI bus 0, device 9, function 0
ncr53c8xx: 53c895 detected with Tekram NVRAM
ncr53c895-0: rev 0x1 on pci bus 0 device 9 function 0 irq 10
ncr53c895-0: Tekram format NVRAM, ID 7, Fast-40, Parity Checking
scsi0 : ncr53c8xx-3.4.3b-20010512
Comment 2 Gerald Cox 2002-10-23 21:33:20 EDT
Temporary workaround is to add the following statements to /etc/rc.local:

./sbin/rmmod ncr53c8xx
./sbin/modprobe -s -k scsi_hostadapter

This solution will be satisfactory only if SCSI devices are not required at boot
time.
Comment 3 Tommi Tervo 2002-11-28 09:46:32 EST
I've same burner as you but different scsi-adapter. When trying to blanck
RW-disk I'll get following errors:
aic7892: Ultra160 Wide Channel A, SCSI Id=7, 32/253 SCBs

Nov 27 09:42:06 heaven kernel: cdrom: This disc doesn't have any tracks I recognize!
Nov 27 09:42:46 heaven kernel: scsi0:0:4:0: Attempting to queue an ABORT message
Nov 27 09:42:46 heaven kernel: scsi0: Dumping Card State in Command phase, at
SEQADDR 0x168
Nov 27 09:42:46 heaven kernel: ACCUM = 0x80, SINDEX = 0xa0, DINDEX = 0xe4, ARG_2
= 0x14
Nov 27 09:42:46 heaven kernel: HCNT = 0x0 SCBPTR = 0x1c
Nov 27 09:42:46 heaven kernel: SCSISEQ = 0x12, SBLKCTL = 0xa
Nov 27 09:42:46 heaven kernel:  DFCNTRL = 0x4, DFSTATUS = 0x89
Nov 27 09:42:46 heaven kernel: LASTPHASE = 0x80, SCSISIGI = 0x84, SXFRCTL0 = 0x88
Nov 27 09:42:46 heaven kernel: SSTAT0 = 0x7, SSTAT1 = 0x0
Nov 27 09:42:46 heaven kernel: SCSIPHASE = 0x0
Nov 27 09:42:46 heaven kernel: STACK == 0x34, 0x0, 0x160, 0x175
Nov 27 09:42:46 heaven kernel: SCB count = 164
Nov 27 09:42:46 heaven kernel: Kernel NEXTQSCB = 41
Nov 27 09:42:46 heaven kernel: Card NEXTQSCB = 41
Nov 27 09:42:46 heaven kernel: QINFIFO entries: 
Nov 27 09:42:46 heaven kernel: Waiting Queue entries: 
Nov 27 09:42:46 heaven kernel: Disconnected Queue entries: 
Nov 27 09:42:46 heaven kernel: QOUTFIFO entries: 
Nov 27 09:42:46 heaven kernel: Sequencer Free SCB List: 29 13 15 8 17 3 24 9 0
23 25 16 11 12 18 1 22 26 20 6 14 7 27 4 10 5 19 21 31 2 30 Nov 27 09:42:46
heaven kernel: Sequencer SCB Info: 0(c 0x60, s 0x7, l 0, t 0xff) 1(c 0x60, s
0x27, l 0, t 0xff) 2(c 0x60, s 0x27, l 0, t 0xff) 3(c 0x40, s 0x47, l 0, t 0xff)
4(c 0x60, s 0x17, l 0, t 0xff) 5(c 0x60, s 0x27, l 0, t 0xff) 6(c 0x60, s 0x37,
l 0, t 0xff) 7(c 0x60, s 0x27, l 0, t 0xff) 8(c 0x60, s 0x7, l 0, t 0xff) 9(c
0x40, s 0x47, l 0, t 0xff) 10(c 0x60, s 0x37, l 0, t 0xff) 11(c 0x60, s 0x37, l
0, t 0xff) 12(c 0x40, s 0x47, l 0, t 0xff) 13(c 0x60, s 0x27, l 0, t 0xff) 14(c
0x60, s 0x17, l 0, t 0xff) 15(c 0x60, s 0x17, l 0, t 0xff) 16(c 0x60, s 0x27, l
0, t 0xff) 17(c 0x60, s 0x37, l 0, t 0xff) 18(c 0x60, s 0x27, l 0, t 0xff) 19(c
0x40, s 0x47, l 0, t 0xff) 20(c 0x60, s 0x27, l 0, t 0xff) 21(c 0x60, s 0x37, l
0, t 0xff) 22(c 0x60, s 0x37, l 0, t 0xff) 23(c 0x60, s 0x17, l 0, t 0xff) 24(c
0x60, s 0x27, l 0, t 0xff) 25(c 0x60, s 0x27, l 0, t 0xff) 26(c 0x60, s 0x27, l
0, t 0xff) 27(c 0x60, s 0x27, l 0, t 0xff) 28(c 0x40, s 0x47, l 0, t 0x51) 29(c
0x60, s 0x7, l 0, t 0xff) 30(c 0x60, s 0x27, l 0, t 0x
Nov 27 09:42:46 heaven kernel: f) 31(c 0x60, s 0x37, l 0, t 0xff) 
Nov 27 09:42:46 heaven kernel: Pending list: 81(c 0x40, s 0x47, l 0)
Nov 27 09:42:46 heaven kernel: Kernel Free SCB list: 62 118 71 13 103 86 143 91
136 92 30 10 16 137 11 39 72 99 130 18 148 42 8 112 65 70 21 133 27 124 125 43
78 88 100 146 132 105 90 89 4 5 97 37 69 145 74 52 116 64 158 0 93 149 163 82 50
107 76 29 12 34 80 128 111 109 49 1 73 25 40 127 87 139 153 114 85 154 2 152 23
56 84 129 57 61 141 33 131 159 150 31 15 60 138 113 122 104 9 7 119 45 47 20 28
117 96 6 83 46 26 135 134 115 108 67 55 142 101 126 44 144 63 155 19 120 147 48
24 98 121 156 123 140 77 36 66 54 58 3 53 38 157 75 79 95 151 32 17 35 51 102 22
106 68 14 94 59 110 162 161 160 
Nov 27 09:42:46 heaven kernel: Untagged Q(4): 81 
Nov 27 09:42:46 heaven kernel: DevQ(0:0:0): 0 waiting
Nov 27 09:42:46 heaven kernel: DevQ(0:1:0): 0 waiting
Nov 27 09:42:46 heaven kernel: DevQ(0:2:0): 0 waiting
Nov 27 09:42:46 heaven kernel: DevQ(0:3:0): 0 waiting
Nov 27 09:42:46 heaven kernel: DevQ(0:4:0): 0 waiting
Nov 27 09:42:46 heaven kernel: scsi0:0:4:0: Device is active, asserting ATN
Nov 27 09:42:46 heaven kernel: Recovery code sleeping
Nov 27 09:42:46 heaven kernel: (scsi0:A:4:0): Abort Message Sent
Nov 27 09:42:46 heaven kernel: (scsi0:A:4:0): SCB 81 - Abort Completed.
Nov 27 09:42:46 heaven kernel: Recovery SCB completes
Nov 27 09:42:46 heaven kernel: Recovery code awake
Nov 27 09:42:46 heaven kernel: aic7xxx_abort returns 0x2002

Comment 4 Bugzilla owner 2004-09-30 11:40:03 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.